package com.fabianfdz.UI;

import com.fabianfdz.BusinessLogic.BusinessLogic;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JOptionPane;

/**
 *
 * @author fabianfdz
 */
public class AgregarPersona extends javax.swing.JFrame {

    boolean isMed;

    /**
     * Creates new form AgregarPersona
     */
    public AgregarPersona(boolean isMed) throws IOException {
        initComponents();
        this.isMed = isMed;
        this.setInitialState(isMed);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnAtras = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        inpId = new javax.swing.JFormattedTextField();
        drpdwnGenero = new javax.swing.JComboBox<>();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        inpEmail = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        inpTelefono = new javax.swing.JFormattedTextField();
        drpdwnProvincia = new javax.swing.JComboBox<>();
        jLabel11 = new javax.swing.JLabel();
        lblCodMed = new javax.swing.JLabel();
        inpCodMed = new javax.swing.JFormattedTextField();
        lblTitle = new javax.swing.JLabel();
        lblEspecialidadMed = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        isIndependienteMed = new javax.swing.JCheckBox();
        jLabel4 = new javax.swing.JLabel();
        btnAgregar = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        inpApellido2 = new javax.swing.JTextField();
        inpApellido1 = new javax.swing.JTextField();
        inpNombre = new javax.swing.JTextField();
        lblPesoPac = new javax.swing.JLabel();
        lblEstaturaPac = new javax.swing.JLabel();
        lblPresionPac = new javax.swing.JLabel();
        nbrPresion1Pac = new javax.swing.JSpinner();
        lblSlashPresionPac = new javax.swing.JLabel();
        nbrPresion2Pac = new javax.swing.JSpinner();
        nbrPesoPac = new javax.swing.JSpinner();
        nbrEstaturaPac = new javax.swing.JSpinner();
        lblMedidaEstaturaPac = new javax.swing.JLabel();
        lblMedidaPesoPac = new javax.swing.JLabel();
        nbrTempPac = new javax.swing.JSpinner();
        lblTemp2Pac = new javax.swing.JLabel();
        lblTemp1Pac = new javax.swing.JLabel();
        drpdwnMedPac = new javax.swing.JComboBox<>();
        lblSeleMedPac = new javax.swing.JLabel();
        inpFechaNac = new javax.swing.JTextField();
        inpEspecialidadMed = new javax.swing.JTextField();
        lblPacientesAgregados = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));

        btnAtras.setText("Atrás");
        btnAtras.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAtrasActionPerformed(evt);
            }
        });

        jLabel6.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel6.setText("Identificación");

        inpId.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#########"))));

        drpdwnGenero.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Femenino", "Masculino", "No indica" }));

        jLabel7.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel7.setText("Género");

        jLabel8.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("Email");

        jLabel9.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel9.setText("Fecha Nacimiento");

        jLabel10.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("Teléfono");

        inpTelefono.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("########"))));

        drpdwnProvincia.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Cartago", "San José", "Limón", "Guanacaste", "Heredia", "Puntarenas", "Alajuela" }));
        drpdwnProvincia.setToolTipText("Seleccione una provincia");

        jLabel11.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel11.setText("Provincia");

        lblCodMed.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblCodMed.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblCodMed.setText("Cód. Médico");

        inpCodMed.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("########"))));

        lblTitle.setFont(new java.awt.Font("Dialog", 1, 14)); // NOI18N
        lblTitle.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblTitle.setText("Agregar");

        lblEspecialidadMed.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblEspecialidadMed.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblEspecialidadMed.setText("Especialidad");

        jLabel3.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel3.setText("Segundo Apellido");

        isIndependienteMed.setText("Posee consultorio independiente");

        jLabel4.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel4.setText("Nombre");

        btnAgregar.setText("Agregar");
        btnAgregar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAgregarActionPerformed(evt);
            }
        });

        jLabel5.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel5.setText("Primer Apellido");
        jLabel5.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);

        lblPesoPac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblPesoPac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblPesoPac.setText("Peso");

        lblEstaturaPac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblEstaturaPac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblEstaturaPac.setText("Estatura");

        lblPresionPac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblPresionPac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblPresionPac.setText("Presión Arterial");

        nbrPresion1Pac.setModel(new javax.swing.SpinnerNumberModel(120, 0, 350, 1));

        lblSlashPresionPac.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblSlashPresionPac.setText("/");

        nbrPresion2Pac.setModel(new javax.swing.SpinnerNumberModel(80, 0, 250, 1));

        nbrPesoPac.setModel(new javax.swing.SpinnerNumberModel(70.0d, 1.0d, 500.0d, 0.5d));

        nbrEstaturaPac.setModel(new javax.swing.SpinnerNumberModel(1.7d, 0.0d, 3.0d, 0.1d));

        lblMedidaEstaturaPac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblMedidaEstaturaPac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblMedidaEstaturaPac.setText("mtrs");

        lblMedidaPesoPac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblMedidaPesoPac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblMedidaPesoPac.setText("kg");

        nbrTempPac.setModel(new javax.swing.SpinnerNumberModel(34.5d, 20.0d, 50.0d, 0.5d));

        lblTemp2Pac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblTemp2Pac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblTemp2Pac.setText("˚C");

        lblTemp1Pac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblTemp1Pac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblTemp1Pac.setText("Temperatura");

        drpdwnMedPac.setToolTipText("Seleccione una provincia");

        lblSeleMedPac.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        lblSeleMedPac.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblSeleMedPac.setText("Médico");

        inpFechaNac.setText("dd/MM/YYYY");

        lblPacientesAgregados.setText("jLabel1");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(lblTitle, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addGap(50, 50, 50)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(btnAtras, javax.swing.GroupLayout.PREFERRED_SIZE, 129, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(lblSeleMedPac, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblEstaturaPac, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(lblPesoPac, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(lblEspecialidadMed, javax.swing.GroupLayout.DEFAULT_SIZE, 134, Short.MAX_VALUE)
                            .addComponent(jLabel11, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 99, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addGap(140, 140, 140)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(btnAgregar, javax.swing.GroupLayout.PREFERRED_SIZE, 129, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                        .addGroup(layout.createSequentialGroup()
                                            .addComponent(nbrPresion1Pac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                            .addComponent(lblSlashPresionPac, javax.swing.GroupLayout.PREFERRED_SIZE, 15, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                            .addComponent(nbrPresion2Pac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                        .addGroup(layout.createSequentialGroup()
                                            .addComponent(nbrTempPac, javax.swing.GroupLayout.PREFERRED_SIZE, 98, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                            .addComponent(lblTemp2Pac, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(12, 12, 12)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                            .addComponent(drpdwnProvincia, 0, 120, Short.MAX_VALUE)
                                            .addComponent(inpApellido2, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE)
                                            .addComponent(inpApellido1, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE)
                                            .addComponent(inpNombre, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE)
                                            .addComponent(inpId, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE)
                                            .addGroup(layout.createSequentialGroup()
                                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                                    .addComponent(nbrEstaturaPac)
                                                    .addComponent(nbrPesoPac, javax.swing.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                    .addComponent(lblMedidaPesoPac, javax.swing.GroupLayout.Alignment.TRAILING)
                                                    .addComponent(lblMedidaEstaturaPac, javax.swing.GroupLayout.Alignment.TRAILING)))
                                            .addComponent(inpEspecialidadMed))
                                        .addGap(28, 28, 28)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(layout.createSequentialGroup()
                                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                                    .addComponent(lblPresionPac, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                    .addComponent(lblCodMed, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                    .addComponent(jLabel10, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                    .addComponent(jLabel9, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 116, Short.MAX_VALUE)
                                                    .addComponent(jLabel8, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                    .addComponent(jLabel7, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                    .addComponent(lblTemp1Pac, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                    .addComponent(drpdwnGenero, 0, 173, Short.MAX_VALUE)
                                                    .addComponent(inpEmail)
                                                    .addComponent(inpTelefono)
                                                    .addComponent(inpCodMed)
                                                    .addComponent(inpFechaNac)))
                                            .addComponent(isIndependienteMed, javax.swing.GroupLayout.PREFERRED_SIZE, 241, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                    .addComponent(drpdwnMedPac, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                        .addGap(50, 50, 50)))
                .addGap(5, 5, 5))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(lblPacientesAgregados, javax.swing.GroupLayout.PREFERRED_SIZE, 157, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(24, 24, 24))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(6, 6, 6)
                .addComponent(lblPacientesAgregados)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(lblTitle)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(23, 23, 23)
                                .addComponent(jLabel6))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(21, 21, 21)
                                .addComponent(inpId, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel7)
                                    .addComponent(drpdwnGenero, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(inpNombre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(2, 2, 2)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel4)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(jLabel8)
                                        .addComponent(inpEmail, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(inpApellido1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(2, 2, 2)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel5)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(jLabel9)
                                        .addComponent(inpFechaNac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                        .addGap(20, 20, 20)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(inpApellido2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(2, 2, 2)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel3)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(jLabel10)
                                        .addComponent(inpTelefono, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(drpdwnProvincia, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(3, 3, 3)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel11)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                        .addComponent(lblCodMed)
                                        .addComponent(inpCodMed, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(20, 20, 20)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(lblEspecialidadMed)
                                    .addComponent(inpEspecialidadMed, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(layout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addComponent(isIndependienteMed)))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(lblPesoPac)
                            .addComponent(nbrPesoPac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblMedidaPesoPac)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(nbrPresion1Pac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblSlashPresionPac)
                            .addComponent(nbrPresion2Pac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(lblPresionPac))))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lblEstaturaPac)
                    .addComponent(lblMedidaEstaturaPac)
                    .addComponent(nbrEstaturaPac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblTemp1Pac)
                    .addComponent(nbrTempPac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(lblTemp2Pac))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(5, 5, 5)
                        .addComponent(lblSeleMedPac))
                    .addComponent(drpdwnMedPac, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnAtras)
                    .addComponent(btnAgregar))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnAgregarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAgregarActionPerformed
        try {
            if (this.isMed) {
                registrarMedico();
            } else {
                registrarPaciente();
            }
            JOptionPane.showMessageDialog(null, "¡Agregado con éxito!");
        } catch (Error err) {
            JOptionPane.showMessageDialog(null, err.getMessage());
        } catch (IOException ex) {
            JOptionPane.showMessageDialog(null, "Error adding to database.");
        }
    }//GEN-LAST:event_btnAgregarActionPerformed

    private void registrarMedico() throws IOException {
        int codMed = Validator.getInt(this.inpCodMed.getValue(), "Código Médico");
        int id = Validator.getInt(this.inpId.getValue(), "Identificación");
        String nombre = Validator.getText(this.inpNombre.getText(), "Nombre");
        String ap1 = Validator.getText(this.inpApellido1.getText(), "Primer Apellido");
        String ap2 = Validator.getText(this.inpApellido2.getText(), "Segundo Apellido");
        String genero = String.valueOf(this.drpdwnGenero.getSelectedItem());
        String especialidad = Validator.getText(this.inpEspecialidadMed.getText(), "Especialidad");
        String email = Validator.getEmail(this.inpEmail.getText());
        String fechaNac = Validator.getText(this.inpFechaNac.getText(), "Fecha Nacimiento");
        String telefono = Validator.getText(this.inpTelefono.getText(), "Telefono");
        String provincia = String.valueOf(this.drpdwnProvincia.getSelectedItem());
        boolean isIndep = this.isIndependienteMed.isSelected();

        BusinessLogic.registrarMedico(codMed, especialidad, isIndep, id, nombre, ap1, ap2,
                genero, email, fechaNac, telefono, provincia, true);

        this.lblPacientesAgregados.setText("Médicos Agregados: " + BusinessLogic.medicosLen());
    }

    private void registrarPaciente() throws IOException {
        String medico = String.valueOf(this.drpdwnMedPac.getSelectedItem()).trim().split("\t")[0];
        int idMedico = Integer.parseInt(medico);
        int id = Validator.getInt(this.inpId.getValue(), "Identificación");
        double peso = Validator.getDouble(this.nbrPesoPac.getValue(), "Peso");
        double estatura = Validator.getDouble(this.nbrEstaturaPac.getValue(), "Estatura");
        double temperatura = Validator.getDouble(this.nbrTempPac.getValue(), "Temperatura");
        int presion1 = Validator.getInt(this.nbrPresion1Pac.getValue(), "Presión Sistólica (1er campo)");
        int presion2 = Validator.getInt(this.nbrPresion2Pac.getValue(), "Presión Diastólica (2do campo)");
        String nombre = Validator.getText(this.inpNombre.getText(), "Nombre");
        String ap1 = Validator.getText(this.inpApellido1.getText(), "Primer Apellido");
        String ap2 = Validator.getText(this.inpApellido2.getText(), "Segundo Apellido");
        String genero = String.valueOf(this.drpdwnGenero.getSelectedItem());
        String email = Validator.getEmail(this.inpEmail.getText());
        String fechaNac = Validator.getText(this.inpFechaNac.getText(), "Fecha Nacimiento");
        String telefono = Validator.getText(this.inpTelefono.getText(), "Telefono");
        String provincia = String.valueOf(this.drpdwnProvincia.getSelectedItem());

        BusinessLogic.registrarPaciente(
                peso, estatura, temperatura, presion1, presion2,
                idMedico, id, nombre, ap1, ap2, genero, email, fechaNac, telefono,
                provincia, "COVID-19", true);
        
        this.lblPacientesAgregados.setText("Pacientes Agregados: " + BusinessLogic.pacientesLen());
    }

    private void btnAtrasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAtrasActionPerformed
        new MainWindow().setVisible(true);
        this.dispose();
    }//GEN-LAST:event_btnAtrasActionPerformed

    private void setInitialState(boolean isMed) {
        if (!isMed) {
            this.lblCodMed.setVisible(false);
            this.lblEspecialidadMed.setVisible(false);
            this.inpCodMed.setVisible(false);
            this.inpEspecialidadMed.setVisible(false);
            this.isIndependienteMed.setVisible(false);
            String labels[] = BusinessLogic.getMedicos();
            final DefaultComboBoxModel model = new DefaultComboBoxModel(labels);
            this.drpdwnMedPac.setModel(model);
            this.lblPacientesAgregados.setText("Pacientes Agregados: " + BusinessLogic.pacientesLen());
            this.lblTitle.setText("Agregar Paciente");
        } else {
            this.lblPesoPac.setVisible(false);
            this.nbrPesoPac.setVisible(false);
            this.lblMedidaPesoPac.setVisible(false);
            this.lblEstaturaPac.setVisible(false);
            this.nbrEstaturaPac.setVisible(false);
            this.lblMedidaEstaturaPac.setVisible(false);
            this.lblPresionPac.setVisible(false);
            this.nbrPresion1Pac.setVisible(false);
            this.lblSlashPresionPac.setVisible(false);
            this.nbrPresion2Pac.setVisible(false);
            this.lblTemp1Pac.setVisible(false);
            this.lblTemp2Pac.setVisible(false);
            this.nbrTempPac.setVisible(false);
            this.lblSeleMedPac.setVisible(false);
            this.drpdwnMedPac.setVisible(false);
            this.lblPacientesAgregados.setText("Médicos Agregados: " + BusinessLogic.medicosLen());
            this.lblTitle.setText("Agregar Médico");
        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAgregar;
    private javax.swing.JButton btnAtras;
    private javax.swing.JComboBox<String> drpdwnGenero;
    private javax.swing.JComboBox<String> drpdwnMedPac;
    private javax.swing.JComboBox<String> drpdwnProvincia;
    private javax.swing.JTextField inpApellido1;
    private javax.swing.JTextField inpApellido2;
    private javax.swing.JFormattedTextField inpCodMed;
    private javax.swing.JTextField inpEmail;
    private javax.swing.JTextField inpEspecialidadMed;
    private javax.swing.JTextField inpFechaNac;
    private javax.swing.JFormattedTextField inpId;
    private javax.swing.JTextField inpNombre;
    private javax.swing.JFormattedTextField inpTelefono;
    private javax.swing.JCheckBox isIndependienteMed;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblCodMed;
    private javax.swing.JLabel lblEspecialidadMed;
    private javax.swing.JLabel lblEstaturaPac;
    private javax.swing.JLabel lblMedidaEstaturaPac;
    private javax.swing.JLabel lblMedidaPesoPac;
    private javax.swing.JLabel lblPacientesAgregados;
    private javax.swing.JLabel lblPesoPac;
    private javax.swing.JLabel lblPresionPac;
    private javax.swing.JLabel lblSeleMedPac;
    private javax.swing.JLabel lblSlashPresionPac;
    private javax.swing.JLabel lblTemp1Pac;
    private javax.swing.JLabel lblTemp2Pac;
    private javax.swing.JLabel lblTitle;
    private javax.swing.JSpinner nbrEstaturaPac;
    private javax.swing.JSpinner nbrPesoPac;
    private javax.swing.JSpinner nbrPresion1Pac;
    private javax.swing.JSpinner nbrPresion2Pac;
    private javax.swing.JSpinner nbrTempPac;
    // End of variables declaration//GEN-END:variables
}
